=== debian/changelog ===
cadence (0.5.0~beta1+git20130117-0~precise1ubuntu1+pearl7.1) rolltide; urgency=medium

  * Build for pearl 7
  * packaged for rolltide release

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Tue, 14 Aug 2018 08:43:05 -0500

cadence (0.5.0~beta1+git20130117-0~precise1) precise; urgency=low

  * Non-KXStudio build for testing

 -- falkTX <falktx@gmail.com>  Wed, 23 Jan 2013 22:06:24 +0000

cadence (1:0.5.0~beta1+git20130117-0~precise1) precise; urgency=low

  * Split package

 -- falkTX <falktx@gmail.com>  Thu, 17 Jan 2013 16:49:58 +0000

cadence (1:0.5.0~beta1+git20121231-0~precise1) precise; urgency=medium

  * More DB update
  * Misc fixes
  * This is the final version for the Live-DVD, hurray!

 -- falkTX <falktx@gmail.com>  Mon, 31 Dec 2012 02:25:20 +0000

cadence (1:0.5.0~beta1+git20121230-0~precise2) precise; urgency=medium

  * New git:
    - fix plugin paths for ladish
    - claudia-db updates
    - misc fixes

  * Build with static liblo
  * medium prio, we need to test this build asap

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 23:27:11 +0000

cadence (1:0.5.0~beta1+git20121230-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 05:13:12 +0000

cadence (1:0.5.0~beta1+git20121230-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 05:12:52 +0000

cadence (1:0.5.0~beta1+git20121230-0~precise1) precise; urgency=low

  * New git, adds carla-bridge-native and claudia-db plugins

 -- falkTX <falktx@gmail.com>  Sun, 30 Dec 2012 05:10:32 +0000

cadence (1:0.5.0~beta1+git20121229-0~precise1) precise; urgency=low

  * New git, claduia-launcher fixes

 -- falkTX <falktx@gmail.com>  Sat, 29 Dec 2012 04:02:42 +0000

cadence (1:0.5.0~beta1+git20121228-0~precise1) precise; urgency=low

  * New git, several fixes
  * Custom build for KXStudio

 -- falkTX <falktx@gmail.com>  Fri, 28 Dec 2012 09:03:35 +0000

cadence (1:0.5.0~beta1+git20121222-0~precise1) precise; urgency=low

  * New git, several fixes

 -- falkTX <falktx@gmail.com>  Sat, 22 Dec 2012 16:38:31 +0000

cadence (1:0.5.0~beta1+git20121212-0~precise1) precise; urgency=low

  * New git, small fixing

 -- falkTX <falktx@gmail.com>  Wed, 12 Dec 2012 22:59:10 +0000

cadence (1:0.5.0~beta1+git20121211-0~precise2) precise; urgency=low

  * Cadence alsa bridge fixes

 -- falkTX <falktx@gmail.com>  Tue, 11 Dec 2012 16:25:19 +0000

cadence (1:0.5.0~beta1+git20121211-0~precise1) precise; urgency=low

  * New git, misc fixing

 -- falkTX <falktx@gmail.com>  Tue, 11 Dec 2012 14:43:51 +0000

cadence (1:0.5.0~beta1+git20121209-0~precise2) precise; urgency=low

  * New git, minor fixes

 -- falkTX <falktx@gmail.com>  Sun, 09 Dec 2012 19:23:03 +0000

cadence (1:0.5.0~beta1+git20121209-0~precise1) precise; urgency=low

  * New git, small fixes

 -- falkTX <falktx@gmail.com>  Sun, 09 Dec 2012 13:51:52 +0000

cadence (1:0.5.0~beta1+git20121205-0~precise1) precise; urgency=low

  * New Git

 -- falkTX <falktx@gmail.com>  Wed, 05 Dec 2012 03:26:32 +0000

cadence (1:0.5.0~beta1+git20121124-0~precise2) precise; urgency=low

  * New git, several fixes

 -- falkTX <falktx@gmail.com>  Sat, 24 Nov 2012 17:39:06 +0000

cadence (1:0.5.0~beta1+git20121102-0~precise1) precise; urgency=low

  * New Git, several fixes
  * Add fftw3 and mxml as dependencies, used for internal zynaddsubfx plugin

 -- falkTX <falktx@gmail.com>  Fri, 02 Nov 2012 00:53:35 +0000

cadence (1:0.5.0~beta1+git20121030-0~precise1) precise; urgency=low

  * New Git, carla fixes

 -- falkTX <falktx@gmail.com>  Tue, 30 Oct 2012 21:05:54 +0000

cadence (1:0.5.0~beta1+git20121027-0~precise1) precise; urgency=low

  * New Git, general fixing

 -- falkTX <falktx@gmail.com>  Sun, 28 Oct 2012 00:22:26 +0100

cadence (1:0.5.0~beta1+git20121024-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Wed, 24 Oct 2012 03:01:16 +0100

cadence (1:0.5.0~beta1+git20121024-0~precise1) precise; urgency=low

  * New git, misc fixing and osc-ui debug

 -- falkTX <falktx@gmail.com>  Wed, 24 Oct 2012 03:00:31 +0100

cadence (1:0.5.0~beta1+git20121006-0~quantal3) quantal; urgency=low

  * non-linuxsampler build

 -- falkTX <falktx@gmail.com>  Mon, 22 Oct 2012 17:33:20 +0100

cadence (1:0.5.0~beta1+git20121006-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Mon, 15 Oct 2012 00:30:43 +0100

cadence (1:0.5.0~beta1+git20121006-0~precise1) precise; urgency=low

  * New git, split bridges into separate package
  * Fix carla-control
  * Install carla lv2-gtk3 ui bridge

 -- falkTX <falktx@gmail.com>  Sun, 07 Oct 2012 11:03:22 +0100

cadence (1:0.5.0~beta1+git20121004-0~precise1) precise; urgency=low

  * New git, cadence alsa-audio bridge support

 -- falkTX <falktx@gmail.com>  Thu, 04 Oct 2012 07:49:11 +0100

cadence (1:0.5.0~beta1+git20121003-0~precise2) precise; urgency=low

  * New git, cadence pulseaudio support

 -- falkTX <falktx@gmail.com>  Wed, 03 Oct 2012 14:50:54 +0100

cadence (1:0.5.0~beta1+git20121003-0~precise1) precise; urgency=low

  * New git, several fixes

 -- falkTX <falktx@gmail.com>  Wed, 03 Oct 2012 11:58:17 +0100

cadence (1:0.5.0~beta1+git20120927-0~precise1) precise; urgency=low

  * New git, several carla related fixes
  * Don't build Carla in debug mode anymore, use soft assertions instead

 -- falkTX <falktx@gmail.com>  Thu, 27 Sep 2012 00:12:13 +0100

cadence (1:0.5.0~beta1+git20120925-0~precise1) precise; urgency=low

  * New Git, several fixes

 -- falkTX <falktx@gmail.com>  Tue, 25 Sep 2012 19:06:33 +0100

cadence (1:0.5.0~beta1+git20120924-0~precise1) precise; urgency=low

  * New git, adds claudia-launcher desktop; Carla-Control works now
  * Build carla in debug mode

 -- falkTX <falktx@gmail.com>  Mon, 24 Sep 2012 23:28:27 +0100

cadence (1:0.5.0~beta1+git20120922-0~precise5) precise; urgency=low

  * New git, adds cadence a2j support

 -- falkTX <falktx@gmail.com>  Sat, 22 Sep 2012 11:30:39 +0100


