=== debian/control ===
Source: cadence
Section: sound
Priority: optional
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 8.1.3),
  libjack-dev, libqt4-dev, qt4-dev-tools,
  python3-pyqt4, pyqt4-dev-tools
Standards-Version: 3.9.2

Package: cadence
Architecture: all
Depends: ${misc:Depends}, cadence-tools, catarina, catia, claudia
Suggests: pulseaudio-module-jack
Description: JACK Audio Utilities
 Cadence is a set of tools useful for audio production.
 .
 This package contains the main application.

Package: cadence-unity-support
Architecture: all
Depends: ${misc:Depends}, cadence, gir1.2-unity-5.0
Suggests: unity
Description: JACK Audio Utilities (Unity support)
 Cadence is a set of tools useful for Audio-related
 tasks, using Python and Qt.
 .
 This package contains a small daemon that show JACK
 related data in the Cadence icon when using Unity.

Package: cadence-data
Architecture: all
Depends: ${misc:Depends}, python3-pyqt4
Description: JACK Audio Utilities (data files)
 Cadence is a set of tools useful for audio production.
 .
 This package contains the shared data and modules.

Package: cadence-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cadence-data, python3-dbus, python3-dbus.mainloop.qt
Recommends: jack-capture
Suggests: pulseaudio-module-jack
Description: JACK Audio Utilities (tools)
 Cadence is a set of tools useful for audio production.
 .
 This package contains the small tools used in Cadence.

Package: catarina
Architecture: all
Depends: ${misc:Depends}, cadence-data
Description: Cadence Patchbay
 Catarina is a testing ground for the 'PatchCanvas'
 module used in Cadence.

Package: catia
Architecture: all
Depends: ${misc:Depends}, cadence-tools
Recommends: a2jmidid
Description: JACK Audio Utilities (Patchbay)
 Catia is a nice JACK Audio Patchbay with A2J Bridge integration.
 It also includes Jack Transport support and the ability to
 render jack projects.
 .
 This package is part of the Cadence tools.

Package: claudia
Architecture: all
Depends: ${misc:Depends}, cadence-tools, ladish
Recommends: a2jmidid
Description: LADISH GUI with extended features
 Claudia is a Graphical User Interface to LADISH.
 .
 It has more features than gladish, including:
 - Jack Transport
 - Configurable Canvas
 - App Templates
 - Render projects (realtime or freewheel mode)
 .
 This package is part of the Cadence tools.
